package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.transformer;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.microformats.spec.instances.MicroformatsManager;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 7/15/11
 * Time: 12:02 PM
 * To change this template use File | Settings | File Templates.
 */
public class DocumentProperties {

    private final String baseUrl;
    private final MicroformatsManager manager;
    private final String charset;
    private final boolean expandCardTree;
    private final boolean isVerifier; // enable some slow parsing options
    private final boolean isAPI; // enable some slow parsing options from api

    public DocumentProperties(final String baseUrl, final MicroformatsManager manager, final String charset, final boolean expandCardTree, final boolean verifier, final  boolean api) {
        this.baseUrl = baseUrl;
        this.manager = manager;
        this.charset = charset;
        this.expandCardTree = expandCardTree;
        isVerifier = verifier;
        isAPI = api;
    }

    public String getBaseUrl() {
        return baseUrl;
    }

    public MicroformatsManager getManager() {
        return manager;
    }

    public String getCharset() {
        return charset;
    }

    public boolean isExpandCardTree() {
        return expandCardTree;
    }

    public boolean isAPI() {
        return isAPI;
    }

    public boolean isVerifier() {


        return isVerifier;
    }
}
